# Generated by Django 3.1.1 on 2020-11-13 08:22

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("wagtailimages", "0022_uploadedimage"),
        ("wagtailcore", "0052_pagelogentry"),
    ]

    operations = [
        migrations.CreateModel(
            name="GreenDealSubPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text_2_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "right_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                ],
                                                label="pravý sloupec",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "FAQ_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "faqs",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "question",
                                                            wagtail.blocks.TextBlock(),
                                                        ),
                                                        (
                                                            "answer",
                                                            wagtail.blocks.RichTextBlock(),
                                                        ),
                                                    ]
                                                ),
                                                label="faq",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "news",
                                wagtail.blocks.ListBlock(
                                    wagtail.blocks.StructBlock(
                                        [
                                            ("header", wagtail.blocks.CharBlock()),
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                    ]
                                                ),
                                            ),
                                        ]
                                    ),
                                    label="aktuality",
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Podstránka",
            },
            bases=(
                "wagtailcore.page",
                wagtailmetadata.models.MetadataMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="GreenDealHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text_2_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "right_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                ],
                                                label="pravý sloupec",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "FAQ_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "faqs",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "question",
                                                            wagtail.blocks.TextBlock(),
                                                        ),
                                                        (
                                                            "answer",
                                                            wagtail.blocks.RichTextBlock(),
                                                        ),
                                                    ]
                                                ),
                                                label="faq",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "news",
                                wagtail.blocks.ListBlock(
                                    wagtail.blocks.StructBlock(
                                        [
                                            ("header", wagtail.blocks.CharBlock()),
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                    ]
                                                ),
                                            ),
                                        ]
                                    ),
                                    label="aktuality",
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "matomo_id",
                    models.IntegerField(
                        blank=True,
                        null=True,
                        verbose_name="Matomo ID pro sledování návštěvnosti",
                    ),
                ),
                (
                    "top_menu",
                    wagtail.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.blocks.CharBlock(label="název"),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="stránka",
                                                page_type=[
                                                    "green_deal.GreenDealHomePage",
                                                    "green_deal.GreenDealSubPage",
                                                ],
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="horní menu",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Zelená dohoda pro regiony",
            },
            bases=(
                wagtailmetadata.models.MetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
